%define version 0.0.2
%define release alt6
%setup_python_module CFG
%define pythondir python%__python_version

Name: %{packagename}
Version: %{version}
Release: %{release}
License: GPL
#Source0: %{modulename}-%{version}.tar.gz
Source0: python-CFG-%{version}.tar.gz
Url: http://www.neural.ru/
#----------------------------------------------------------------------
Summary: Python module for use some configurations
Summary(ru_RU.KOI8-R):       
Group: Development/Python

%description
Python module developed to work with configuration files

#----------------------------------------------------------------------
%package devel
Summary: Sources of CFG module
Summary(ru_RU.KOI8-R):   CFG
Group: Development/Python
%description devel
Python module developed to work with configuration file

#----------------------------------------------------------------------
# Prepare, Building & Install
#----------------------------------------------------------------------
%prep
%setup -n python-CFG-%version
#*%patch1 -p1

%build
%install
  # Make the Necessary Directories
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages
  install -m0755 --directory      $RPM_BUILD_ROOT/usr/share/doc/%packagename-%version

  cp -af CFG $RPM_BUILD_ROOT/usr/lib/%pythondir/site-packages/
  cp -af scripts/*.py $RPM_BUILD_ROOT/usr/share/doc/%packagename-%version

%add_python_req_skip cPickle
%set_python_req_method strict

%files
    %defattr(-, root, root)
    /usr/lib/%pythondir/site-packages/CFG/*.pyc
# ----------------------------
    /usr/lib/%pythondir/site-packages/CFG/*.py
    /usr/lib/%pythondir/site-packages/CFG/*.pyo
 
%files devel
    %defattr(-, root, root)
    /usr/share/doc/%packagename-%version/*.py
    %doc doc/*txt

%changelog
* Thu Mar 03 2005 Andrey Orlov <cray@altlinux.ru> 0.0.2-alt6
- Rebuild with python 2.4

* Mon Dec 27 2004 Andrey Orlov <cray@altlinux.ru> 0.0.2-alt5
- Fix descriptions

* Sun May 23 2004 Andrey Orlov <cray@altlinux.ru> 0.0.2-alt4
- Fix python policy compatibility

* Mon Feb 23 2004 Andrey Orlov <cray@altlinux.ru> 0.0.2-alt3
- Rebuild with python 23

* Mon Dec 01 2003 Andrey Orlov <cray@altlinux.ru> 0.0.2-alt1.23
- Check on PY23

* Wed Aug 27 2003 Andrey Orlov <cray@altlinux.ru> 0.0.1-alt1
- Initial release

